Skip to main content
`Ctrl`+`K`

# PetscMallocSetCUDAHost

Set `PetscMalloc()` to use `CUDAHostMalloc()` Switch the current malloc and free routines to the CUDA malloc and free routines

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocSetCUDAHost(void)

Not Collective

## Note

This provides a way to use the CUDA malloc and free routines temporarily. One can switch back to the previous choice by calling `PetscMallocResetCUDAHost()`.

## See Also

`PetscCUDAHostMalloc()`, `PetscMallocResetCUDAHost()`, `PetscMallocSetHIPHost()`

## Level

developer

## Location

src/sys/memory/cuda/mcudahost.cu

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages